gdcm::PrivateDict Class Reference

Private Dict. More...

`#include <gdcmDict.h>`

## Public Member Functions

| PrivateDict ()=default
| ~PrivateDict ()=default
void | AddDictEntry (const PrivateTag &tag, const DictEntry &de)
bool | FindDictEntry (const PrivateTag &tag) const
const DictEntry & | GetDictEntry (const PrivateTag &tag) const
bool | IsEmpty () const
void | PrintXML () const
bool | RemoveDictEntry (const PrivateTag &tag)

## Protected Member Functions

void | LoadDefault ()

## Friends

class | Dicts
std::ostream & | operator<< (std::ostream &os, const PrivateDict &val)

## Detailed Description

Private Dict.

## Constructor & Destructor Documentation

## PrivateDict()

gdcm::PrivateDict::PrivateDict | ( |  | ) |

default

Referenced by LoadDefault(), and operator<<.

## ~PrivateDict()

gdcm::PrivateDict::~PrivateDict | ( |  | ) |

default

## Member Function Documentation

## AddDictEntry()

void gdcm::PrivateDict::AddDictEntry | ( | const PrivateTag & | tag,
|  | const DictEntry & | de )

inline

References GetDictEntry(), gdcm::DictEntry::GetVM(), gdcm::DictEntry::GetVR(), gdcm::DictEntry::SetVM(), gdcm::DictEntry::SetVR(), and gdcm::VR::UN.

## FindDictEntry()

bool gdcm::PrivateDict::FindDictEntry | ( | const PrivateTag & | tag | ) | const

inline

## GetDictEntry()

const DictEntry & gdcm::PrivateDict::GetDictEntry | ( | const PrivateTag & | tag | ) | const

inline

Referenced by AddDictEntry().

## IsEmpty()

bool gdcm::PrivateDict::IsEmpty | ( |  | ) | const

inline

## LoadDefault()

void gdcm::PrivateDict::LoadDefault | ( |  | ) |

protected

References PrivateDict().

## PrintXML()

void gdcm::PrivateDict::PrintXML | ( |  | ) | const

inline

References gdcm::Tag::GetElement(), gdcm::Tag::GetGroup(), gdcm::DictEntry::GetName(), gdcm::PrivateTag::GetOwner(), gdcm::DictEntry::GetVM(), and gdcm::DictEntry::GetVR().

## RemoveDictEntry()

bool gdcm::PrivateDict::RemoveDictEntry | ( | const PrivateTag & | tag | ) |

inline

Remove entry 'tag'. Return true on success (element was found and remove). return false if element was not found.

## Friends And Related Symbol Documentation

## Dicts

friend class Dicts

friend

References Dicts.

Referenced by Dicts.

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PrivateDict & | val )

friend

References PrivateDict().

The documentation for this class was generated from the following file:

- gdcmDict.h